import { FileFlow } from './../../../resources/elements/flow-uploader';
import { ImportService, ImportSession } from '../../service/import-service';
export declare class ImportStep1 {
    private importeService;
    session: ImportSession;
    newStep: any;
    cancelSession: any;
    context: any;
    private files;
    private fileUploaded;
    private columnsInfo;
    constructor(importeService: ImportService);
    bind(): void;
    uploadFile(file: FileFlow): Promise<void>;
    uploadedFile(fileUploaded: FileFlow): Promise<void>;
    private setFile;
    cancelFile(): void;
    confirm(): Promise<void>;
}
